/* ==========================================================================
   Sidebar area styles - begin
   ========================================================================== */

aside.mkdf-sidebar {
    position: relative;
    z-index: 11;

    .widget {

        &:last-child {
            margin: 0 !important;
        }
	}
}

.wpb_widgetised_column {
    position: relative;

    .widget {
	
	    &:last-child {
		    margin: 0 !important;
	    }
    }

    &.mkdf-course-features-widget {
        .mkdf-course-features {
            li {

                border-bottom: 1px solid #ebebeb;
                padding: 10px 0;

                .mkdf-item-icon {
                    color: $first-main-color;
                    font-size: 18px;
                    margin-right: 15px;
                }

                .mkdf-item-label {
                    font-weight: 600;
                    font-size: 14px;
                    color: $default-heading-color;
                }

                .mkdf-item-value {
                    float: right;
                    font-size: 14px;
                }

            }
        }
    }
}
/* ==========================================================================
   Sidebar area styles - end
   ========================================================================== */

/* ==========================================================================
   Default WordPress Widgets styles - begin
   ========================================================================== */

.widget {
	margin: 0 0 45px;
	
	.mkdf-widget-title {
		margin: 0 0 17px;
		
		a {
			color: inherit;
		}
	}
	
	ul {
		padding: 0;
		margin: 0;
		list-style: none;
		
		li {
			margin: 0 0 10px;
			
			&:last-child {
				margin: 0;
			}
		}
	}

    /*
    *   Specific styles
    */
    &.widget_text {

        img {
            display: block;
        }
    }

    #wp-calendar {
        width: 100%;
        text-align: center;

        caption {
            color: $default-heading-color;
            margin: 0 0 15px;
        }

        th, td {
            padding: 3px 4px;
        }

        td#today {
            color: #fff;
            background-color: $first_main_color;

            a {
                color: inherit;
            }
        }
    }

    &.widget_rss {

        .mkdf-widget-title {

            .rsswidget {

                &:hover {
                    color: $first-main-color;
                }
            }
        }

        .rss-widget-icon {
            display: inline-block;
        }

        ul {

            li {
                margin: 0 0 25px;

                .rss-date {
                    display: block;
                }
            }
        }
    }

    &.widget_search {

        form {
            @include mkdfRelativeHolderLayout();
            clear: both;

            > div {
                @include mkdfRelativeHolderLayout();
                border-width: 1px;
                border-style: solid;
                border-color: $default-border-color;
                box-sizing: border-box;
            }
        }

        input,
        button {
            position: relative;
            display: inline-block;
            vertical-align: top;
            float: left;
            height: 43px;
            font-family: inherit;
            font-weight: 400;
            font-size: 15px;
            line-height: 52px;
            color: $default-text-color;
            background-color: transparent;
            border: 0;
            border-radius: 0;
            -webkit-border-radius:0;
            outline: 0;
            -webkit-appearance: none;
            box-sizing: border-box;
            @include mkdfTransition(color .2s ease-out);
        }

        input {
            width: calc(100% - 40px);
            padding: 0 0 0 21px;
            border-radius:100px 0 0 100px;
            -webkit-border-radius:100px 0 0 100px;
	
	        @include mkdfPlaceholder {
		        color: #b5b5b5;
	        }
        }

        button {
            width: 40px;
            padding: 0 30px 0 9px;
            font-size: 13px;
            cursor: pointer;
            color: $default-text-color;
            @include mkdfTransition(color .2s ease-in-out);

            &:hover {
                color: $first-main-color;
            }

            span {
                display: block;
                line-height: inherit;

                &:before {
                    display: block;
                    line-height: inherit;
                }
            }
        }
    }

    &.widget_pages,
    &.widget_archive,
    &.widget_categories,
    &.widget_meta,
    &.widget_recent_comments,
    &.widget_nav_menu {

        ul {

            li {
                margin: 0;
                padding: 9px 0;

                &:last-child {
                    border: none;
                }

                ul {
                    margin: 4px 0 0;
                    padding: 0 0 0 10px;

                    li {

                        &:last-child {
                            padding: 4px 0 0;
                        }
                    }
                }
            }
        }
    }

    &.widget_recent_entries {
	
	    .mkdf-widget-title {
            margin: 0 0 23px;
        }

        ul {

            li {
                margin: 0 0 12px;

                > span {
                    display: block;
	                font-size: 14px;
                }
            }
        }
    }

    &.widget_archive,
    &.widget_categories,
    &.widget_text {

        select {
            width: 100%;
            max-width: 100%;
            height: 54px;
            padding: 0 18px;
            line-height: 54px;
            color: $default-text-color;
            background-color: transparent;
            border: 1px solid $default-border-color;
            font-family: inherit;
            font-size: inherit;
            font-style: inherit;
            font-weight: inherit;
            outline: none;
            box-sizing: border-box;
        }
    }

    &.posts_holder {

        ul {
            
            li {

                &.page_item_has_children {

                    & > a {
                        display: block;
                    }

                    & > ul.children {
                        padding-left: 10px;
                    }
                }

                &.menu-item-has-children {

                    & > a {
                        display: block;
                    }

                    & > ul.sub-menu {
                        padding-left: 10px;
                    }
                }
            }
        }
    }

    &.widget_tag_cloud {

        .mkdf-widget-title {
            margin: 0 0 8px;
        }

        a {
            position: relative;
            display: inline-block;
            vertical-align: middle;
            color: $default-text-color;
            font-family: inherit;
            font-weight: 400;
            font-size: 17px !important;
			text-transform: uppercase;
            background-color: transparent;

            &:after {
                content: ',';
                color: $default-text-color;
                margin: 0;
            }

            &:last-child {

                &:after {
                    display: none;
                }
            }

            &:hover {
                color: $first-main-color;
            }
        }
    }

    &.mkdf-course-list-widget {
        .mkdf-normal-space article {
            margin-bottom: 16px;
        }

        .mkdf-course-list-holder {
            margin-top: 7px;
        }
    }

    &.mkdf-course-categories-widget {
        .mkdf-course-categories-list {
            li {

                border-bottom: 1px solid #ebebeb;
                padding: 9px 0;

                > .mkdf-course-categories-list-title {
                    margin: 0;
                }

                span,
                i {
                    color: $first-main-color;
                    font-size: 18px;
                    margin-right: 15px;
                    vertical-align: middle;
                }
                a {
                    color: inherit;

                    &:hover {
                        color: $first-main-color;
                    }
                }
            }
        }
    }

    &.mkdf-blog-categories-widget {
        .mkdf-blog-categories-list {
            li {

                border-bottom: 1px solid #ebebeb;
                padding: 9px 0;

                > .mkdf-blog-categories-list-title {
                    margin: 0;
                }

                span,
                i {
                    color: $first-main-color;
                    font-size: 18px;
                    margin-right: 15px;
                    vertical-align: middle;
                }
                a {
                    color: inherit;

                    &:hover {
                        color: $first-main-color;
                    }
                }
            }
        }
    }

    &.mkdf-course-features-widget {
        .mkdf-course-features {
            li {

                border-bottom: 1px solid #ebebeb;
                padding: 10px 0;

                .mkdf-item-icon {
                    color: $first-main-color;
                    font-size: 18px;
                    margin-right: 15px;
                }

                .mkdf-item-label {
                    font-weight: 600;
                    font-size: 14px;
                    color: $default-heading-color;
                }

                .mkdf-item-value {
                    float: right;
                    font-size: 14px;
                }

            }
        }
    }
}

.vc_wp_search {

    .widget {

        &.widget_search {

            form {

                > div {
                    background-color: #fff;
                    border: none;
                }
            }

            input {
                width: calc(100% - 66px);
                padding: 0 0 0 33px;
                font-size: 15px;
            }

            button {
                width: 66px;
                padding: 0 39px 0 9px;
            }
        }
    }
}

.mkdf-page-footer {
    .widget {
       &.widget_text {
           margin: 0 0 32px;
       }
    }
}

.mkdf-side-menu,
.mkdf-page-footer {

    .widget {
	    color: #cecece;
	
	    &:last-child {
		    margin: 0 !important;
	    }
	    
        h1, h2, h3, h4, h5, h6 {
            margin: 0;
	        color: #cecece;
        }

        .mkdf-widget-title-holder {
            .mkdf-widget-title {
                color: #fbfbfc;
                margin: 0 0 22px;
            }
        }
	
	    a {
		    color: #cecece;
		
		    &:hover {
			    color: $first-main-color;
		    }
	    }
	    
        table thead tr,
        table tbody tr {
            border-color: #b1b2b2;
        }

        table tbody th {
            border-right-color: #b1b2b2;
        }

        /*
        *   Specific styles
        */
	    #wp-calendar {
		
		    caption {
			    color: #b1b2b2;
		    }
	    }
	
	    &.widget_rss {
		
		    .mkdf-footer-widget-title {
			
			    .rsswidget {
				    color: #fff;
				
				    &:hover {
					    color: $first-main-color;
				    }
			    }
		    }
	    }
	    
        &.widget_search {

            form {

                > div {
                    border-color: #b1b2b2;
                }
            }

            input {
                color: #b1b2b2;
	            
	            @include mkdfPlaceholder {
		            color: inherit;
	            }

                &[type='submit'] {
                    color: #b1b2b2;
                }
            }

            button {

                &:hover {
                    color: $first-main-color;
                }
            }
        }

        &.widget_archive,
        &.widget_categories,
        &.widget_text {

            select {
                color: #b1b2b2;
                border-color: #b1b2b2;

                option {
                    background-color: #b1b2b2;
                }
            }

        }

        &.widget_tag_cloud {

            a {
                color: #b1b2b2;

                &:after {
                    color: inherit;
                }

                &:hover {
                    color: $first-main-color;
                }
            }
        }

        &.mkdf-course-list-widget {
            .mkdf-course-list-holder {
                margin-top: 6px;

                article {
                    margin-bottom: 19px;
                }
            }
            .mkdf-instructor-name {
                font-size: 14px;
            }
        }
    }
}

.mkdf-side-menu {
    .widget.mkdf-image-widget img {
        margin: 0 auto;
    }

    .widget {
        font-size: 18px;
        font-weight: 700;
        font-family: $default-heading-font;
    }

    .mkdf-side-menu-bottom {
        .widget {
            color: #373838;
        }
    }
}

.mkdf-footer-bottom-holder {
    
    .widget {
        margin: 0;
        color: #959595;
        font-size: 14px;
        display: inline-block;
    }

    .mkdf-grid-col-6:first-child {
        text-align: left;
    }
    .mkdf-grid-col-6:last-child {
        text-align: right;
    }
}

.mkdf-top-bar {

    text-transform: uppercase;
    letter-spacing: 0.05em;

	a {
		color: #969696;

		&:hover {
			color: $first-main-color;
		}
	}

    .widget {
        display: inline-block;
        vertical-align: middle;
        margin: 0;

        p {
            margin: 0;
        }

        &.widget_text {
            margin: 0 20px 0 0;
        }

        &.widget_nav_menu {

            ul {
                clear: both;

                li {
                    float: left;
                    padding: 0 8px;
                    margin: 0;
                    line-height: 14px;
                    border-left: 1px solid #fff;
                }
            }
        }
    }
}

.mkdf-top-bar-light .mkdf-top-bar {

    color: $header-light-color !important; //Beacause of inline color styles

    .mkdf-icon-widget-holder,
    #lang_sel .lang_sel_sel:after {
        color: $header-light-color !important; //Beacause of inline color styles
    }

    .mkdf-icon-widget-holder:hover {
        color: rgba(#fff, .85)!important;
    }

    .mkdf-position-left-inner {
        a {
            color: $header-light-color !important;
            &:hover {
                color: rgba(#fff, .85)!important;
            }
        }
    }


    .widget {
        color: $header-light-color !important; //Beacause of inline color styles

        p,
       > a,
        span,
        i,
        .widgettitle {
            color: $header-light-color !important; //Beacause of inline color styles
        }

        &:after {
            border-color: rgba(255,255,255,.52);
        }

        a:not(.lang_sel_sel):hover,
        a:hover .mkdf-btn-text {
            color: #fff!important;
        }

    }
}

.mkdf-top-bar-dark .mkdf-top-bar {
    color: #212121 !important; //Beacause of inline color styles

    .mkdf-icon-widget-holder {
        color: #212121 !important; //Beacause of inline color styles
    }

    a {
        color: #212121 !important; //Beacause of inline color styles
    }

    .mkdf-icon-widget-holder:hover {
        color: $first-main-color !important; //Beacause of inline color styles
    }

    .widget {
        color: #212121 !important; //Beacause of inline color styles

        p,
        a,
        span,
        i,
        .widgettitle {
            color: #212121 !important; //Beacause of inline color styles
        }

        a:not(.lang_sel_sel):hover,
        a:hover .mkdf-btn-text {
            color: $first-main-color!important;
        }

    }
}
/* ==========================================================================
   Default WordPress Widgets styles - end
   ========================================================================== */